%global _empty_manifest_terminate_build 0
Name:		python-scrypt
Version:    0.8.20
Release:    1
Summary:	Bindings for the scrypt key derivation function library
License:	BSD
URL:		https://github.com/holgern/py-scrypt
Source0:    https://files.pythonhosted.org/packages/48/38/9816ba98592b64ab3d50199699485912877d4e4507277e92ca312abf9e02/scrypt-0.8.20.tar.gz


%description
This is a set of Python_ bindings for the scrypt_ key

%package -n python3-scrypt
Summary:	Bindings for the scrypt key derivation function library
Provides:	python-scrypt
# Base build requires
BuildRequires:	python3-devel
BuildRequires:  openssl-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	gcc
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-scrypt
This is a set of Python_ bindings for the scrypt_ key

%package help
Summary:	Development documents and examples for scrypt
Provides:	python3-scrypt-doc
%description help
This is a set of Python_ bindings for the scrypt_ key

%prep
%autosetup -n scrypt-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-scrypt -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Jun 15 2022 OpenStack_SIG <openstack@openeuler.org> - 0.8.20-1
- Upgrade package python3-scrypt to version 0.8.20

* Wed Aug 04 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.8.17-3
- DESC: delete BuildRequires gdb

* Wed Feb 03 2021 zhaorenhai <zhaorenhai@hotmail.com> - 0.8.7-2
- Add openssl-devel build requires.

* Sun Jan 31 2021 Python_Bot <Python_Bot@openeuler.org> - 0.8.7-1
- Package Spec generated
